версия jQuery для DocTrix

Главная Форумы Обсуждаем DocTrix+Nintex+SharePoint версия jQuery для DocTrix

Помечено: , ,

В этой теме 4 ответа, 2 участника, последнее обновление  Евгений Ищенков 3 года/лет, 5 мес. назад.

Просмотр 5 сообщений - с 1 по 5 (из 5 всего)
  • Автор
    Сообщения
  • #560

    Добрый день, коллеги!

    Возник такой вопрос. DT использует jQuery версии 1.3.2, которая не самая свежая 🙂 Есть желание использовать версию 1.8.3. И в этой связи вопрос. Можно ли заменить ссылку на устаревшую версию в макетах страниц, которая проставляется после установки DT, и как это можно сделать?

    #563
    Evgeniy Mescheryakov
    Evgeniy Mescheryakov
    Участник

    Добрый день!

    В DocTrix Platform библиотека jQuery (1.3.2) используется «изолированно», что позволяет сторонним компонентам подключить и использовать любую другую версию данной библиотеки.

    #567

    Евгений, добрый день!

    Большое спасибо за ответ. Вроде разобрались. Но возник еще один вопрос. На сайтах с активированным DocTrix (даже на Вашем демо-стенде) IE переходит в режим 9й версии. Игнорируя строку

    <meta http-equiv=»X-UA-Compatible» content=»IE=10″ />

    в masterpage. Это действительно из-за DocTrix? И можно ли это как-то обойти? Дело в том, что у нас на одной из страниц будет использоваться кросдоменный AJAX запрос, который не поддерживается в версиях 8 и 9. 🙁

    #570
    Evgeniy Mescheryakov
    Evgeniy Mescheryakov
    Участник

    Добрый день!

    Да, DocTrix Platform 2013 переключает режим совместимости в браузере.

    Для поддержки работы существующего кода изначально использовался режим совместимости с IE8. В нем же по умолчанию работает и DocTrix Platform 2010.

    В версии 2.0.4-2.0.5 режим совместимости для не layouts страниц был повышен до IE9.

    В планах есть повышение режима совместимости до IE 10, но пока это не реализовано.

    Если нужно изменить режим совместимости для отдельно взятой страницы, можно сделать это программно, обеспечив, чтобы код выполнился после того, как DocTrix переопределит заголовок. Но к сожалению нет гарантии, что после этого используемые на этой же странице фичи платформы смогут работать в стандартном режиме. Нужно проверять.

    #571

    Спасибо за ответ!

    Попробуем 🙂

Просмотр 5 сообщений - с 1 по 5 (из 5 всего)

Для ответа в этой теме необходимо авторизоваться.